
<h4 class="text-center">Login</h4>

<form [formGroup]="loginForm" class="form mt-4" (submit)="login()">

    <div class="form-group">
        <input #userNameInput
            formControlName="userName"
            class="form-control" 
            placeholder="user name" 
            autofocus>
        <ap-vmessage
            *ngIf="loginForm?.get('userName')?.errors?.required"
            text="User name is required!">
        </ap-vmessage>
    </div>

    <div class="form-group">
        <input
            formControlName="password"
            type="password" 
            class="form-control" 
            placeholder="password">              
            <ap-vmessage
            *ngIf="loginForm?.get('password')?.errors?.required"
            text="password is required!">
        </ap-vmessage>
    </div>

    <button
        [disabled]="loginForm.invalid"
        type="submit" 
        class="btn btn-primary btn-block">
        login
    </button>

</form>

<p>Not a user?<a>Register now</a></p>